=== debian/changelog ===
mosquitto (2.0.22-3) unstable; urgency=medium

  [Joachim Zobel]
  * Added patch to remove obsolete ExecStartPre entries from mosquitto.service
    (Closes: #1110824)
  * Changed the autopkgtests to use make -C test ssl for certificate generation
  * Removed flaky from broker tests
  * Bumped Standards-Version to 4.7.2
  * Migrated watch file to version 5
  * Removed unused upstream signing key

  [Gianfranco Costamagna]
  * Drop old and fixed lintian overrides

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Wed, 13 Aug 2025 07:30:23 +0200

mosquitto (2.0.22-2) unstable; urgency=medium

  * Team upload.
  * Update copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Aug 2025 18:20:33 +0200

mosquitto (2.0.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - builds with lto enabled (Closes: #1015547)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Aug 2025 18:12:24 +0200
