=== debian/tests/control ===
Tests: broker, library, client
Depends: @, gcc, g++, libc6-dev, python3, libssl-dev, python3-psutil, openssl
# rw-build-tree: tests generate and cleanup config files as they run, plus the
# broker saves persistence data and cleans it up.
Restrictions: rw-build-tree
