=== debian/watch ===
Version: 5
Source: https://github.com/eclipse-mosquitto/
Matching-Pattern: @PACKAGE@
Mode: git
Pgpmode: gittag
Version-Constraint: refs/tags/@ANY_VERSION@
